// CMC_BorrowerCollectionWriteFile.java

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2003.04.30
 * Copyright 2003 by Michael Claudius
 * All rights reserved
*/

package library2007;
import java.io.*;

public class BorrowerCollectionReadFile {
    
    /** Creates a new instance of BorrowerWriteFile */
    public BorrowerCollectionReadFile() {
    }

    private Borrower aBorrower;
    private BorrowerCollection borowerCol;
    private String fileName;

    BorrowerCollectionReadFile(BorrowerCollection borrowerCol, String fileName) {
            this.borowerCol = borowerCol;
            this.fileName = fileName;
    }

    public void doIt() {

        try {
                FileInputStream fis = new FileInputStream(fileName);
                ObjectInputStream ois = new ObjectInputStream(fis);

                borowerCol = (BorrowerCollection) ois.readObject();
                ois.close();

        }//try

        catch (IOException ex) {
                System.out.println(ex.getMessage());
                ex.printStackTrace();
        }
           
        catch (ClassNotFoundException ex) {
            System.out.println(ex.getMessage());
            ex.printStackTrace();
        }  

    }// doIt

    public static void main(String[] args) {
        // TODO code application logic here
    }
    
}// class