/*
 * Person.java
 *
 * Created on 23. februar 2005, 19:01
 */

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2004.02.20
 * Copyright 2005 by Michael Claudius
 * All rights reserved !
*/

package library2007;

public class Person  {
	private String name, sex;
	private int year;


// constructors for creating objects
	Person (String aName)  {
		//initialise name to parameter aName
		name = aName;
		year = 2000; //default value
	}

	Person (String aName, int aYear)  {
		//initialise name and year to parameters aName and newYear
		name = aName;
		year = aYear;
	}

	Person (String aName, int aYear, String aSex)  {
		//initialise name and year to parameters aName and newYear
		name = aName;
		year = aYear;
		sex = aSex;
	}

	public String getName ( )  {
		return name;  }

	public void setName (String aName)  {
		name = aName;
	}

	public int getYear ( )  {
		return year;
	}

	public void setYear (int aYear)  {
		year = aYear;
	}

	public int age (int thisYear )  {
		return (thisYear-year) ;
	}

// Ass. 4 Simple 100 year anniversary
	public int anniversary ()  {
		return (year+100) ;
	}
// Ass 4. A more general mehtod for 25, 50 etc anniversary !
	public int anniversary (int noYears )  {
		return (year+noYears) ;
	}

	public String personData () {
		return ("Name: " + name + "\n" + "Year of Birth: " + year +
				"\n" + "Sex: " + sex) ;
	}

}// Person

