
// BorrowerAdministrationHandler.java

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.3. 2007.05.27
 * Copyright 2003 by Michael Claudius
 * All rights reserved ?
 */
package library2007;

public class BorrowerAdministrationHandler {
    
    /** Creates a new instance of BorrowerAdministrationHandler */
    public BorrowerAdministrationHandler() {
        borrowers = new BorrowerCollection();
    }
    
    BorrowerCollection borrowers;
    
    public boolean enterBorrowerInfo(String cprNo, String name, String bType,
            int year) {
      borrowers.enterBorrowerInfo(cprNo,name, bType, year);
      return true;
    }
    
    public int getNumbers() {
        return borrowers.numberOfBorrowers();
    }
    
    public String allBorrowersData() {
        return borrowers.allBorrowersData();
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
    }
    
}
