// BorrowerConcatenateFile1.java

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2006.05.30
 * Copyright 2006 by Michael Claudius
 * All rights reserved
 */
package library2007;

public class BorrowerConcatenateFile {
    
    private Borrower aBorrower;
    private String outputFileName, childFileName, adultFileName;
    
    BorrowerConcatenateFile(String outputFileName, String childFileName, String adultFileName) {
        
        this.outputFileName = outputFileName;
        this.childFileName  = childFileName;
        this.adultFileName  = adultFileName;
    }
    /** Creates a new instance of BorrowerConcatenateFile1 */
    public BorrowerConcatenateFile() {
    }
    
    public void doIt() {
        BorrowerCollection borrowers = new BorrowerCollection();
        
        BorrowerReadFile cmc_ReadFile = new BorrowerReadFile(borrowers,childFileName);
        cmc_ReadFile.doIt();
        
        cmc_ReadFile = new BorrowerReadFile(borrowers,adultFileName);
        cmc_ReadFile.doIt();
        
        BorrowerWriteFile cmc_WriteFile = new BorrowerWriteFile(borrowers,outputFileName);
        cmc_WriteFile.doIt();
    }
    
    
}
