/*
 * TMC_Person.java
 *
 * Created on 23. februar 2005, 19:01
 */

/* Author Michael Claudius, Roskilde Computer Science College
 * Version 1.0. 2004.02.20
 * Copyright 2005 by Michael Claudius
 * All rights reserved !
*/

package library2007;

import javax.swing.JOptionPane;

public class TMC_Person  {

	 public static void main(String[] args) {

		Person teacher = new Person("Michael", 1961);
		System.out.println(teacher.getName());
		teacher.setName("Michael Claudius");
		System.out.println(teacher.getName());
		System.out.println(teacher.getYear());
		System.out.println(teacher.age(2006));

		Person man = new Person("Li Tai", 1980);
		Person woman = new Person("Christine Tai", 1970);
		//Ass 3
		Person student = new Person("Miss Clever", 1985);

		//Ass. 4 100 anniversary
		System.out.println(student.anniversary());
		System.out.println(man.anniversary());

		//Ass. 4 25 anniversary by calling the more general method
		System.out.println(student.anniversary(25));
		System.out.println(man.anniversary(25));

		//Ass. 6 reading in data and constructig the object

                //Alternatively use Keyboard instead of JOptionPane
                /*
		System.out.print("State the name: ");
		String name = Keyboard.readString();

		System.out.print("State the year: ");
		int year = Keyboard.readInt();
                */

		String name = JOptionPane.showInputDialog("State name: ");
		String yearStr = JOptionPane.showInputDialog("State year: ");
		int year = Integer.parseInt(yearStr);

        Person studentX = new Person(name, year);
		if (student.age(2005) > studentX.age(2005))
			{ System.out.println( student.getName() );
			}
		else
			{ System.out.println( studentX.getName() );
			}

		//alternatively
		int age = student.age(2005);
		int ageX = studentX.age(2005);
		if (age > ageX)
			{ System.out.println( student.getName() );
			}
		else
			{ System.out.println( studentX.getName() );
			}
		int productAges = age*ageX;
		System.out.println("Product of ages. " + productAges );

		//Ass. X
		Person student1 = new Person("Mr Clever1", 1987,"Male");
		Person student2 = new Person("Miss World ", 1885,"Female");

		System.out.println();
		System.out.println(man.personData());
		System.out.println(woman.personData());
		System.out.println(student.personData());

		System.out.println(student1.personData());
		System.out.println(student2.personData());

	}// main

}// Person

